# Uses of Class
com.ngrok.definitions.AwsCredentials

Packages that use AwsCredentials
Package
Description
com.ngrok.definitions

- ## Uses of AwsCredentials in com.ngrok.definitions

  Methods in com.ngrok.definitions that return AwsCredentials
  Modifier and Type
  Method
  Description
  `AwsCredentials`
  AwsCredentials.Builder.`build()`
  Constructs the `AwsCredentials` instance.
  Methods in com.ngrok.definitions that return types with arguments of type AwsCredentials
  Modifier and Type
  Method
  Description
  `Optional<AwsCredentials>`
  AwsAuth.`getCreds()`
  Credentials to your AWS account if you prefer ngrok to sign in with long-term access keys.
  Methods in com.ngrok.definitions with parameters of type AwsCredentials
  Modifier and Type
  Method
  Description
  `AwsAuth.Builder`
  AwsAuth.Builder.`creds(AwsCredentials creds)`
  Credentials to your AWS account if you prefer ngrok to sign in with long-term access keys.
  Method parameters in com.ngrok.definitions with type arguments of type AwsCredentials
  Modifier and Type
  Method
  Description
  `AwsAuth.Builder`
  AwsAuth.Builder.`creds(Optional<AwsCredentials> creds)`
  Credentials to your AWS account if you prefer ngrok to sign in with long-term access keys.